---
title: list-all-checks-for-a-project
product: vercel
url: /docs/rest-api/checks-v2/list-all-checks-for-a-project
canonical_url: "https://vercel.com/docs/rest-api/checks-v2/list-all-checks-for-a-project"
last_updated: 2026-09-16
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-all-checks-for-a-project on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List all checks for a project

```http
GET /v2/projects/{projectIdOrName}/checks
```

List all checks for a project, optionally filtered by target.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectIdOrName` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `blocks` | string. enum: build-start, deployment-start, deployment-alias, deployment-promotion, none | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v2/projects/projectIdOrName/checks?blocks=string&teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v2/projects/projectIdOrName/checks?blocks=string&teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v2/projects/projectIdOrName/checks?blocks=string&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "checks": [
    {
      "blocks": "build-start",
      "createdAt": "123",
      "deletedAt": "123",
      "id": "icfg_1234567890",
      "isRerequestable": "false",
      "name": "Example Name",
      "ownerId": "example_id",
      "projectId": "example_id",
      "requires": "build-ready",
      "source": {
        "externalResourceId": "example_id",
        "integrationConfigurationId": "example_id",
        "integrationId": "example_id",
        "kind": "integration",
        "resourceId": "example_id"
      },
      "sourceIntegrationConfigurationId": "example_id",
      "sourceKind": "git-provider",
      "targets": [],
      "timeout": "123",
      "updatedAt": "123"
    }
  ]
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "checks"
  ],
  "properties": {
    "checks": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "blocks",
          "createdAt",
          "id",
          "isRerequestable",
          "name",
          "ownerId",
          "projectId",
          "requires",
          "source",
          "sourceKind",
          "targets",
          "timeout",
          "updatedAt"
        ],
        "properties": {
          "blocks": {
            "type": "string",
            "enum": [
              "build-start",
              "deployment-alias",
              "deployment-promotion",
              "deployment-start",
              "none"
            ]
          },
          "createdAt": {
            "type": "number"
          },
          "deletedAt": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "isRerequestable": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "name": {
            "type": "string"
          },
          "ownerId": {
            "type": "string"
          },
          "projectId": {
            "type": "string"
          },
          "requires": {
            "type": "string",
            "enum": [
              "build-ready",
              "deployment-url",
              "none"
            ]
          },
          "source": {},
          "sourceIntegrationConfigurationId": {
            "type": "string"
          },
          "sourceKind": {
            "type": "string",
            "enum": [
              "git-provider",
              "integration",
              "vercel",
              "webhook",
              "integration",
              "webhook",
              "git-provider"
            ]
          },
          "targets": {
            "type": "array"
          },
          "timeout": {
            "type": "number"
          },
          "updatedAt": {
            "type": "number"
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 410: No description

### 500: No description

---

## Related

- [checks-v2 endpoints](/docs/rest-api#checks-v2)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
